AOZ Studio Beta - Bug #545

probléeme sporadique en utilisant locate
10/08/2020 07:58 PM - aguiar jean-marc

Status: Resolved Start date: 10/08/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: Beta RC3

Description

Bonjour,

Dans la version d AOZ beta RC3 sous windows 10, j'ai un probléme lors du lancement du transpileur avec l'instruction locate, une
erreur se produit de fagon sporadique.

exemples:

1 #splashScreen:False

2 #manifest: "aoz"

3

4 screen Open 0,800,600,32,Hires

5

6 locate 1,20:print"Enter your name "
7 input a$

8

erreur.jpg

print a$

erreurs:

illegal text window parameter at line 6,column 1 in file main.aoz program ended

History

#1 - 10/10/2020 06:55 AM - Brian Flanagan

- Status changed from New to Resolved

That's normal.
As defined, Your screen can display 20 lines of text (numbered 0 to 19) using the default font. You're trying to locate your text on line 20, which does
not exist.

C'est normal.

Telle que définie, votre écran peut afficher 20 lignes de texte (numérotées de 0 a 19) en utilisant la police par défaut. Vous essayez de localiser votre
texte sur la ligne 20, qui n'existe pas.

Files
